--[[
Copyright (C) 2016  Neemys

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

See <LICENSE.txt> for a copy of this license, or see <http://www.gnu.org/licenses/>
]]

if not buildingplatform then buildingplatform = {} end
if not buildingplatform.config then buildingplatform.config = {} end


if not buildingplatform2 then buildingplatform2 = {} end
if not buildingplatform2.config then buildingplatform2.config = {} end


--[[
Control if building platform are craftable. 

- true : A recipe for building platform will be added. You still have pre-generated platform.
- false : You will have to use only pre-generated building platofrm

note : recipe will be here from the start.
]]
local lst = { buildingplatform }--, buildingplatform2 }
for i, v in ipairs( lst ) do
	v.config.craftable = false

	--[[
	Set the recipe for the building platform.
	Only needed if you set building platform craftable.

	normal : recipe using a bit of stone, stone-brick and water.
	normal-expensive : Same recipe as 'normal' but ingredient requirement have been multiply by 10.
	electronic : recipe that need some advanced circuit but less stone and lubricant in place of water. So in the end, you use oil, copper and iron with stone to have platform.
	electronic-expensive : Same recipe as 'electronic' but ingredient requirement have been multiply by 10.
	cheap : a very cheap recipe that make you wonder why using this mod in the first place.

	]]

	v.config.recipe = "normal"

	--[[
	If set to true, solar panel, boiler, accumulator and steam engine will be placeable outside platform.
	]]

	v.config.unrestrictPower = false
	--[[
	If set to true, boiler will be placeable outside platform.
	]]

	v.config.unrestrictBoiler = false

	--[[
	If set to true, combinator will be placeable outside platform.
	]]

	v.config.unrestrictCombinator = true

	--[[
	If set to true, roboport will be placeable outside platform.
	]]

	v.config.unrestrictRoboport = true

	--[[
	If set to true, logistic chests will be placeable outside platform.
	]]

	v.config.unrestrictLogistic = true

	--[[
	If set to true, storage tank will be placeable outside platform.
	]]

	v.config.unrestrictStorageTank = false

	--[[
	If set to true, radar will be placeable outside platform.
	]]

	v.config.unrestrictRadar = false

	--[[
	If set to true, substation will be placeable outside platform.
	]]

	v.config.unrestrictSubstation = false

	--[[
	If set to true, furnaces will be placeable outside platform.
	]]

	v.config.unrestrictFurnace = false

	--[[
	If set to true, assembling machines will be placeable outside platform.
	]]

	v.config.unrestrictAssemblingMachine = false

	--[[
	If set to true, Labs will be placeable outside platform.
	]]

	v.config.unrestrictLab = false

	--[[
	If set to true, beacon will be placeable outside platform.
	]]

	v.config.unrestrictBeacon = false

	--[[
	If set to true, Rocket Silo will be placeable outside platform.
	]]

	v.config.unrestrictRocketSilo = false

	--[[
	List of blocking by mod, set to true to unblock building of this mod, false if you want them blocked
	]]

	v.config.unrestrictMod = {factorissimo=false,flowControl=true,alertCombinator=true,circuitNetworkSwitch=true}

	--[[
	If set to true, new building platform texture will be replaced by the old white concrete.
	]]

	v.config.oldTexture = false

end