--[[
Copyright (C) 2016  Neemys

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

See <LICENSE.txt> for a copy of this license, or see <http://www.gnu.org/licenses/>
]]



-- Add new tile for building platform, same properties as concrete but different graphics (vanilla concrete with 70% luminosity for now) and map color.
local buildingPlatformTile

data.raw["tile"]["concrete"].walking_speed_modifier = 2.2
data.raw["tile"]["stone-path"].walking_speed_modifier = 1.85

if(data.raw["tile"]["concrete"]) then --copy actual concrete data if accessible
	buildingPlatformTile = table.deepcopy(data.raw["tile"]["concrete"])
	buildingPlatformTile.walking_speed_modifier = 1.7
else --last concrete tile info check in version 0.13.20
	buildingPlatformTile = {
      type = "tile",
      needs_correction = false,
      mined_sound = { filename = "__base__/sound/deconstruct-bricks.ogg" },
      collision_mask = {"ground-tile"},
      walking_speed_modifier = 1.4,
      layer = 61,
      decorative_removal_probability = 0.9,
      walking_sound =
      {
        {
          filename = "__base__/sound/walking/concrete-01.ogg",
          volume = 1.2
        },
        {
          filename = "__base__/sound/walking/concrete-02.ogg",
          volume = 1.2
        },
        {
          filename = "__base__/sound/walking/concrete-03.ogg",
          volume = 1.2
        },
        {
          filename = "__base__/sound/walking/concrete-04.ogg",
          volume = 1.2
        }
      },
      ageing=0,
      vehicle_friction_modifier = concrete_vehicle_speed_modifier
    }
end

local oldOrNew = buildingplatform.config.oldTexture and "building-platform-old" or "building-platform"

buildingPlatformTile.name                           = buildingplatform.tileName
buildingPlatformTile.can_be_part_of_blueprint       = false
buildingPlatformTile.variants.main[1].picture       = buildingplatform.modRoot.."/graphics/"..oldOrNew.."/building-platform1.png"
buildingPlatformTile.variants.main[2].picture       = buildingplatform.modRoot.."/graphics/"..oldOrNew.."/building-platform2.png"
buildingPlatformTile.variants.main[3].picture       = buildingplatform.modRoot.."/graphics/"..oldOrNew.."/building-platform4.png"
buildingPlatformTile.variants.inner_corner.picture  = buildingplatform.modRoot.."/graphics/"..oldOrNew.."/building-platform-inner-corner.png"
buildingPlatformTile.variants.outer_corner.picture  = buildingplatform.modRoot.."/graphics/"..oldOrNew.."/building-platform-outer-corner.png"
buildingPlatformTile.variants.side.picture          = buildingplatform.modRoot.."/graphics/"..oldOrNew.."/building-platform-side.png"
buildingPlatformTile.variants.u_transition.picture  = buildingplatform.modRoot.."/graphics/"..oldOrNew.."/building-platform-u.png"
buildingPlatformTile.variants.o_transition.picture  = buildingplatform.modRoot.."/graphics/"..oldOrNew.."/building-platform-o.png"
buildingPlatformTile.map_color = {
	r = (27),
	g = (27),
	b = (27)
}
buildingPlatformTile.minable = nil

data:extend({buildingPlatformTile})




-- Add new tile for building platform, same properties as concrete but different graphics (vanilla concrete with 70% luminosity for now) and map color.
local buildingPlatformTile2
if(data.raw["tile"]["concrete"]) then --copy actual concrete data if accessible
	buildingPlatformTile2 = table.deepcopy(data.raw["tile"]["concrete"])
	buildingPlatformTile2.walking_speed_modifier = 3.5
else --last concrete tile info check in version 0.13.20
	buildingPlatformTile2 = {
      type = "tile",
      needs_correction = false,
      mined_sound = { filename = "__base__/sound/deconstruct-bricks.ogg" },
      collision_mask = {"ground-tile"},
      walking_speed_modifier = 3.4,
      layer = 62,
      decorative_removal_probability = 0.9,
      walking_sound =
      {
        {
          filename = "__base__/sound/walking/concrete-01.ogg",
          volume = 1.2
        },
        {
          filename = "__base__/sound/walking/concrete-02.ogg",
          volume = 1.2
        },
        {
          filename = "__base__/sound/walking/concrete-03.ogg",
          volume = 1.2
        },
        {
          filename = "__base__/sound/walking/concrete-04.ogg",
          volume = 1.2
        }
      },
      ageing=0,
      vehicle_friction_modifier = concrete_vehicle_speed_modifier
    }
end

--local oldOrNew = buildingplatform.config.oldTexture and "building-platform-old" or "building-platform"
local oldOrNew = "building-platform-old"

buildingPlatformTile2.name                           = "building-platform2"
buildingPlatformTile2.can_be_part_of_blueprint       = false
buildingPlatformTile2.variants.main[1].picture       = buildingplatform.modRoot.."/graphics/"..oldOrNew.."/building-platform1.png"
buildingPlatformTile2.variants.main[2].picture       = buildingplatform.modRoot.."/graphics/"..oldOrNew.."/building-platform2.png"
buildingPlatformTile2.variants.main[3].picture       = buildingplatform.modRoot.."/graphics/"..oldOrNew.."/building-platform4.png"
buildingPlatformTile2.variants.inner_corner.picture  = buildingplatform.modRoot.."/graphics/"..oldOrNew.."/building-platform-inner-corner.png"
buildingPlatformTile2.variants.outer_corner.picture  = buildingplatform.modRoot.."/graphics/"..oldOrNew.."/building-platform-outer-corner.png"
buildingPlatformTile2.variants.side.picture          = buildingplatform.modRoot.."/graphics/"..oldOrNew.."/building-platform-side.png"
buildingPlatformTile2.variants.u_transition.picture  = buildingplatform.modRoot.."/graphics/"..oldOrNew.."/building-platform-u.png"
buildingPlatformTile2.variants.o_transition.picture  = buildingplatform.modRoot.."/graphics/"..oldOrNew.."/building-platform-o.png"
buildingPlatformTile2.map_color = {
	r = (10),
	g = (10),
	b = (50)
}
buildingPlatformTile2.minable = nil

data:extend({buildingPlatformTile2})

